using System;
using System.Collections.Generic;
using LiteDB;
using Microsoft.Azure.CognitiveServices.Vision.ComputerVision.Models;
using OpenCvSharp;

namespace squirrowse.core
{
    public class Frame
    {
        public Frame()
        {
        }

        public Frame(Mat frameMat, IList<DetectedObject> objects, Uri src)
        {
            FrameMat = frameMat;
            Objects = objects;
            ImgSrc = src;
        }

        [BsonIgnore] public Mat FrameMat { get; set; }

        public IList<DetectedObject> Objects { get; set; }

        public Uri ImgSrc { get; set; }

        public Mat CopyMat(Mat xd)
        {
            var xd2 = new Mat();
            xd.CopyTo(xd2);
            return xd2;
        }
    }
}